Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.opengis.wms
Class Osgeo41001Projection

    java.lang.Object
      com.maryanovsky.map.client.projections.AbstractProjection
          com.maryanovsky.map.client.projections.MercatorProjection
              com.maryanovsky.map.client.opengis.wms.Osgeo41001Projection

All Implemented Interfaces:
  WmsProjection, Projection

    public class Osgeo41001Projection

extends MercatorProjection
implements WmsProjection

The projection for the OSGEO:41001 SRS.

Author:
  Maryanovsky Alexander

Field Summary

Fields inherited from class com.maryanovsky.map.client.projections.AbstractProjection
`longitudeWraps, nativeZoom, worldHeight, worldWidth, zoomStrategy`

Method Summary
`DoublePointView` | `fromPixelToNative(int x, int y, int zoom)` Converts the specified pixel coordinates to the "native" coordinates of the projection.
`static Osgeo41001Projection` | `getInstance(List<Double> resolutions, boolean longitudeWraps)` Returns an `Osgeo41001Projection` with the specified list of resolutions and longitude wrapping strategy.

Methods inherited from class com.maryanovsky.map.client.projections.MercatorProjection
`fromLatLngToPixelImpl, fromPixelToLatLngImpl`

Methods inherited from class com.maryanovsky.map.client.projections.AbstractProjection
`fromLatLngToPixel, fromPixelToLatLng, getWrapSize, getWrapSizeImpl, getZoomMagnification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.maryanovsky.map.client.Projection
`fromLatLngToPixel, fromPixelToLatLng, getWrapSize, getZoomMagnification`

Method Detail

### getInstance

    public static Osgeo41001Projection getInstance(List<Double> resolutions,
                                                   boolean longitudeWraps)

  Returns an `Osgeo41001Projection` with the specified list of resolutions and longitude wrapping strategy.

  Parameters:
    `resolutions` - The list of resolutions (map units per pixel) for each zoom. The first value corresponds to zoom 0 and so on.
    `longitudeWraps` - Whether the projection will cause the map to wrap around the X (longitude) axis.

### fromPixelToNative

    public DoublePointView fromPixelToNative(int x,
                                             int y,
                                             int zoom)

  Converts the specified pixel coordinates to the "native" coordinates of the projection. Unlike `Projection.fromPixelToLatLng(com.maryanovsky.gwtutils.client.geom.PointView, int)` this method should return `null` if the specified location is outside the map.

  Specified by:
    `fromPixelToNative` in interface `WmsProjection`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD